# End of Round Strokes

This Endpoint returns information of the current player's stroke events per Round.

Please note: Detailed lies that have been undone are not included in this feed.

### Endpoint URLs

**URL:**

`https://dde-api.data.imgarena.com/golf/official-shots/tournaments/{tournamentId}/round/{roundNumber}/team/{teamNumber}`

**URL Sample:**

`https://dde-api.data.imgarena.com/golf/official-shots/tournaments/1144/round/1/team/64`

### Required Headers

| Key           | Value                                            |
| ------------- | ------------------------------------------------ |
| Accept        | application/vnd.imggaming.dde.api+json;version=1 |
| Content-Type  | application/json                                 |
| Authorization | Bearer eyvhaoudfgpdfgo\*                         |

### Request Parameters

This endpoint currently takes no parameters.

### Response Model

\
**Player Summary Object**

| Field Name       | Type    | Description                                                                                                                                                                                                                                                                                    |
| ---------------- | ------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| timestamp        | string  | The Timestamp of the stroke event in the current Tournament                                                                                                                                                                                                                                    |
| courseId         | string  | The ID of the Golf Course the stroke played on place on                                                                                                                                                                                                                                        |
| ballLie          | object  | Object containing details on Ball Lie                                                                                                                                                                                                                                                          |
| score            | object  | Object containing details of the current score at the start of first stroke                                                                                                                                                                                                                    |
| provisionalIndex | integer | The *n*th number of stroke classed as a provisional shot                                                                                                                                                                                                                                       |
| groupNo          | integer | The Group Number the current player is in, for the current Round of the Tournament                                                                                                                                                                                                             |
| dropType         | string  | The type of Drop Ball issued on the current stroke                                                                                                                                                                                                                                             |
| eventElementType | string  | <p>The type of event on current stroke.</p><p>E.g. <strong>"BallHoled"</strong>, <strong>"DetailedLie"</strong>, <strong>"Penalty"</strong></p>                                                                                                                                                |
| seqNum           | integer | The sequence number of the current event - for an order of events by timestamp.                                                                                                                                                                                                                |
| holeOrder        | integer | <p>The player's current stroke being played on the <em>n</em>th Hole of the current round.</p><p><em>Please note: This is not the Hole Number.</em></p><p>E.g. <strong>holeOrder 2</strong> is the player's 2nd Hole of the current Round which can be on <strong>Hole Number 11.</strong></p> |
| teamNo           | integer | The player's Team Number for the current Tournament.                                                                                                                                                                                                                                           |
| strokeNo         | integer | The *n*th stroke of the current stroke event.                                                                                                                                                                                                                                                  |
| playerId         | integer | The ID of the Player of the current stroke event.                                                                                                                                                                                                                                              |
| penaltyType      | string  | <p>The type of penalty issued on the current stroke event.</p><p>E.g. <strong>"Strokes"</strong></p>                                                                                                                                                                                           |
| holeNo           | integer | The current Hole Number the stroke event took place on. Holes **1 - 18**                                                                                                                                                                                                                       |
| clubTypeCode     | string  | <p>This is the type of Club a player used for the shot. NB. this is only populated for Drives. Possible values:<br><br>CDR = Driver<br>CFW = Fairway Wood<br>CIR = Iron<br>CUK = Unknown</p>                                                                                                   |

#### Ball Lie Object

| Field Name      | Type    | Description                                                                  |
| --------------- | ------- | ---------------------------------------------------------------------------- |
| coordinates     | object  | Object containing X/Y/Z coordinates of ball lie                              |
| x               | double  | The x coordinate of the ball lie. Measured in **metres**                     |
| y               | double  | The x coordinate of the ball lie. Measured in **metres**                     |
| z               | double  | The x coordinate of the ball lie. Can be **null.** Measured in **metres**    |
| surfaceTypeCode | string  | A three character code for current surface type the ball is on               |
| distanceToPin   | double  | Distance left till current hole's pin. Measured in **metres**                |
| shotDistance    | double  | Distance of the current stroke travelled. Measured in **metres**             |
| blindShot       | boolean | The current stroke landing area is not visible from the player’s perspective |
| surfaceType     | string  | The full name of the current surface type the ball is on                     |
| obstructions    | boolean | An obstruction that is present on the current stroke play                    |

Below is a table that describes each of the available Surface Types or Surface Type codes:

| **surfaceTypeCode** | **surfaceType**       |
| ------------------- | --------------------- |
| OFW                 | Fairway               |
| OGR                 | Green                 |
| OIR                 | IntermediateRough     |
| ORO                 | Rough or PrimaryRough |
| OST                 | FairwayBunker         |
| OGS                 | Greenside Bunker      |
| OCO                 | Fringe                |
| ONA                 | NativeArea            |
| OTO                 | Trees or TreeOutline  |
| OBU                 | Bushes                |
| ODS                 | Desert                |
| OWA                 | Water                 |
| OTH                 | Other                 |
| OCA                 | CartPath              |
| ODO                 | Dirt or DirtOutline   |
| OTF                 | OtherFairway          |
| OOB                 | OutOfBounds           |
| OUK                 | Unknown               |

#### Score Object

Score Object is available on stroke events with ` "eventElementType" :`` `` `**`"BallHoled" OR "Penalty"`**

| Field Name             | Type    | Description                                                         |
| ---------------------- | ------- | ------------------------------------------------------------------- |
| currentHolePar         | integer | The Par of the current Hole of the Course                           |
| overallScoreToPar      | integer | The current overall score of the player                             |
| currentHoleStrokes     | integer | The total number of strokes taken by the player on the current hole |
| currentRoundScoreToPar | integer | The current score of the player of the current Round                |

### Sample Response

```
{
  "ballLie": null,
  "clubTypeCode": null,
  "courseId": "383",
  "dropType": null,
  "eventElementType": "BallHoled",
  "groupNo": 25,
  "holeNo": 8,
  "holeOrder": 8,
  "penaltyType": null,
  "playerId": 2613,
  "provisionalIndex": 0,
  "score": {
    "currentHolePar": 5,
    "currentHoleStrokes": 5,
    "currentRoundScoreToPar": "-4",
    "overallScoreToPar": "-4"
  },
  "seqNum": 111,
  "strokeNo": 5,
  "teamNo": 64,
  "timestamp": "2025-01-23T10:01:02.000Z"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/golf-media/untitled/end-of-round-strokes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
